<?php

/*
////////////////////////////////////////////////////////////////////////////////
// JohnCMS                             Content Management System              //
// Официальный сайт сайт проекта:      http://johncms.com                     //
// Дополнительный сайт поддержки:      http://gazenwagen.com                  //
////////////////////////////////////////////////////////////////////////////////
// JohnCMS core team:                                                         //
// Евгений Рябинин aka john77          john77@gazenwagen.com                  //
// Олег Касьянов aka AlkatraZ          alkatraz@gazenwagen.com                //
//                                                                            //
// Информацию о версиях смотрите в прилагаемом файле version.txt              //
////////////////////////////////////////////////////////////////////////////////
*/

defined('_IN_JOHNCMS') or die('Error: restricted access');

if (!$id || !$user_id || $rights != 2 && $rights < 6) {
  header("Location: index.php");
 exit;
}

/*
-----------------------------------------------------------------
Удаление выбранных постов из чата 
-----------------------------------------------------------------
*/ 
if (isset ($_GET['yes'])) {
  $dc = $_SESSION['dc'];
  if (isset ($_GET['del']) && $rights == 9) {
    foreach ($dc as $delid) {
      $soob = mysql_query("SELECT `id_u` FROM `chat_room_" . $id . "` WHERE `id` = '" . intval($delid) . "'");
      if (mysql_num_rows($soob)) {
        $message = mysql_fetch_assoc($soob);
        $us_d = mysql_fetch_assoc(mysql_query("SELECT `postchat` FROM `users` WHERE `id` = '" . $message['id_u'] . "'"));
        $postchat = $us_d['postchat'] > 0 ? $us_d['postchat'] - 1 : 0;
        mysql_query("UPDATE `users` SET `postchat` = '" . $postchat . "' WHERE `id` = '" . $message['id_u'] . "'");
        mysql_query("DELETE FROM `chat_room_" . $id . "` WHERE `id` = '" . intval($delid) . "'");
      }
    }
    header("Location: index.php?id=$id");
   exit;
  } else {
    foreach ($dc as $delid) {
      $soob = mysql_query("SELECT `id_u`, `author` FROM `chat_room_" . $id . "` WHERE `id` = '" . intval($delid) . "'");
      if (mysql_num_rows($soob)) {
        $message = mysql_fetch_assoc($soob);
        $us_d = mysql_fetch_assoc(mysql_query("SELECT `postchat`, `rights` FROM `users` WHERE `id` = '" . $message['id_u'] . "'"));
        if ($us_d['rights'] < $rights || $rights == 9) {
          // Скрываем сообщение
          $set_author = array();
          $set_author = unserialize($message['author']);
          $set_author['name_delete'] = $login;
          mysql_query("UPDATE `chat_room_" . $id . "` SET `author` = '" . mysql_real_escape_string(serialize($set_author)) . "', `tip` = '1' WHERE `id` = '" . intval($delid) . "'");
          $postchat = $us_d['postchat'] > 0 ? $us_d['postchat'] - 1 : 0;
          mysql_query("UPDATE `users` SET `postchat` = '" . $postchat . "' WHERE `id` = '" . $message['id_u'] . "'");
        }
      }
    }
    header("Location: index.php?id=$id");
   exit;
  }
} else {
  if (empty ($_POST['delch'])) {
    echo display_error('Вы ничего не выбрали для удаления', '<a href="index.php?id='.$id.'">Назад</a>');
    require("../incfiles/end.php");
   exit;
  }
  foreach ($_POST['delch'] as $v) {
    $dc[] = intval($v);
  }
  $_SESSION['dc'] = $dc;  
  echo '<div class="phdr">Массовое удаление постов</div><div class="menu">';
  if ($rights == 9) {
    echo 'Выберите вариант действия: <p><a href="index.php?act=massdel&amp;id='.$id.'&amp;yes&amp;del">Удалить</a> | <a href="index.php?act=massdel&amp;id='.$id.'&amp;yes">Скрыть</a></p>';
  } else {
    echo 'Вы уверены в удалении постов?<p><a href="index.php?act=massdel&amp;id='.$id.'&amp;yes">Да</a> | <a href="index.php?id='.$id.'">Нет</a></p>';
  }
  echo '</div><div class="phdr"><a href="index.php?id='.$id.'">Назад</a></div>';
}

?>